curl -X DELETE https://api.bota.dev/v1/recordings/rec_abc123 \
-H "Authorization: Bearer sk_live_..."
const response = await fetch('https://api.bota.dev/v1/recordings/rec_abc123', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer sk_live_...',
},
});
// 204 No Content on success
if (response.status === 204) {
console.log('Recording deleted');
}
import requests
response = requests.delete(
'https://api.bota.dev/v1/recordings/rec_abc123',
headers={'Authorization': 'Bearer sk_live_...'},
)
if response.status_code == 204:
print('Recording deleted')
// No content
{
"error": {
"code": "not_found",
"message": "Recording not found"
}
}
Recordings
Delete Recording
Permanently delete a recording
DELETE
/
recordings
/
{id}
curl -X DELETE https://api.bota.dev/v1/recordings/rec_abc123 \
-H "Authorization: Bearer sk_live_..."
const response = await fetch('https://api.bota.dev/v1/recordings/rec_abc123', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer sk_live_...',
},
});
// 204 No Content on success
if (response.status === 204) {
console.log('Recording deleted');
}
import requests
response = requests.delete(
'https://api.bota.dev/v1/recordings/rec_abc123',
headers={'Authorization': 'Bearer sk_live_...'},
)
if response.status_code == 204:
print('Recording deleted')
// No content
{
"error": {
"code": "not_found",
"message": "Recording not found"
}
}
Permanently delete a recording and its associated audio file and transcriptions. This action cannot be undone.
Authentication
Requires an API key withrecordings:write scope.
curl -X DELETE https://api.bota.dev/v1/recordings/rec_abc123 \
-H "Authorization: Bearer sk_live_..."
const response = await fetch('https://api.bota.dev/v1/recordings/rec_abc123', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer sk_live_...',
},
});
// 204 No Content on success
if (response.status === 204) {
console.log('Recording deleted');
}
import requests
response = requests.delete(
'https://api.bota.dev/v1/recordings/rec_abc123',
headers={'Authorization': 'Bearer sk_live_...'},
)
if response.status_code == 204:
print('Recording deleted')
Path Parameters
string
required
The recording’s unique identifier (e.g.,
rec_abc123).Response
Returns204 No Content on success.
// No content
{
"error": {
"code": "not_found",
"message": "Recording not found"
}
}
This action permanently deletes the recording, its audio file from S3, and all associated transcriptions. This cannot be undone.
Was this page helpful?

